"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.loadFunctionsConfig = loadFunctionsConfig;
const ajv_1 = __importDefault(require("ajv"));
const fs_1 = require("fs");
const jsonschema = __importStar(require("../functions-schema.json"));
/**
 * 加载多函数配置
 * @param configFile 配置文件路径
 * @returns 多函数配置
 */
function loadFunctionsConfig(configFile) {
    const config = (0, fs_1.readFileSync)(configFile, 'utf8');
    const parsed = JSON.parse(config);
    const ajv = new ajv_1.default({ strictTuples: false });
    const valid = ajv.validate(jsonschema, parsed);
    if (!valid) {
        throw new Error(`Invalid functions config: ${ajv.errorsText(ajv.errors)}`);
    }
    return parsed;
}
//# sourceMappingURL=functions-config.js.map